Quake Info Pool - Classic Quake - Console Commands

Back | Last changes: 1999-07-13 | Contact Maddes

# Quake Console Commands

## Index

- General Information
- Quake v1.06 Console Commands
- Windows Quake Console Commands
- OpenGL Quake Console Commands
- VQuake Console Commands

## General Information

This page is a mixture of the command lists from QuakeWorld.Net and Daniel Rinehart's homepage.
Some things were added by myself, Maddes, and are marked with *.
You can find the most recent version of this list on Quake Info Pool.

Keys for the list:

- (A) = Action
- (C) = Command
- (P) = Protocol
- (T) = Toggle or flag
- (V) = Variable
- (X) = Other
- (?) = Unknown

## Quake v1.06 Console Commands

This section provides commands for all Quake versions, like DOSQuake, WinQuake, GLQuake and QuakeWorld.
In QuakeWorld, commands may be proceeded with a '/' character optionally. If you do not use the '/' to begin your commands, a mistyped command that QuakeWorld does not recognize will be echoed to everyone in the game like messagemode.

+/- _ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

+/- | Back to Quake Index / Top Index

|  | +attack / -attack (A)
| Syntax: +attack -attack When attack is active the player is firing their current weapon. See also: impulse

|  | +back / -back (A)
| Syntax: +back -back When back is active the player is moving backwards. See also: cl_backspeed

|  | +forward / -forward (A)
| Syntax: +forward -forward When forward is active the player is moving forward. See also: cl_forwardspeed

|  | +jump / -jump (A)
| Syntax: +jump -jump When jump is active the player is jumping. See also: sv_gravity

|  | +klook / -klook (A)
| Syntax: +klook -klook When klook is active forward and back become lookup and lookdown respectively.

|  | +left / -left (A)
| Syntax: +left -left When left is active the player is turning left. See also: cl_yawspeed

|  | +lookdown / -lookdown (A)
| Syntax: +lookdown -lookdown When lookdown is active the player's view is moving down. See also: cl_pitchspeed, centerview, force_centerview

|  | +lookup / -lookup (A)
| Syntax: +lookup -lookup When lookup is active the player's view is moving up. See also: cl_pitchspeed, centerview, force_centerview

|  | +mlook / -mlook (A)
| Syntax: +mlook -mlook When mlook is active moving the mouse forwards and backwards performs a lookup and lookdown respectively.

|  | +movedown / - movedown (A)
| Syntax: +movedown -movedown When movedown is active the player is swimming down in a liquid. See also: cl_upspeed

|  | +moveleft / -moveleft (A)
| Syntax: +moveleft -moveleft When moveleft is active the player is strafing left. See also: cl_sidespeed

|  | +moveright / -moveright (A)
| Syntax: +moveright -moveright When moveright is active the player is strafing right. See also: cl_sidespeed

|  | +moveup / -moveup (A)
| Syntax: +moveup -moveup When moveup is active the player is swimming up in a liquid. See also: cl_upspeed

|  | +right / -right (A)
| Syntax: +right -right When right is active the player is turning right. See also: cl_yawspeed

|  | +showscores / -showscores (A)
| Syntax: +showscores -showscores When showscores is active in single player mode the current level stats are shown on the status bar. In multiplayer mode the current frags are shown on the full screen.

|  | +speed / -speed (A)
| Syntax: +speed -speed When speed is active the player is running. See also: cl_movespeedkey, cl_anglespeedkey

|  | +strafe / -strafe (A)
| Syntax: +strafe -strafe When strafe is active left and right function like moveleft and moveright, strafing in that direction.

|  | +use / -use (A)
| Syntax: +use <?> -use Sets the USE flag for the player. Currently not used by Quake.

_ | Back to Quake Index / Top Index

|  | _cl_color (V)
| Syntax: _cl_color <value> Default: 0 Set the player's color. The value is SC*16+PC where SC is shirt color and PC is pants color. See also: color

|  | _cl_name (V)
| Syntax: _cl_name <string> Default: Player Sets the player's name. See also: name

|  | _config_com_baud (V)
| Syntax: _config_com_baud <value> Default: 57600 Sets the default baud rate for the modem. See also: com1/com2

|  | _config_com_irq (V)
| Syntax: _config_com_irq <value> Default: 4 Sets the default irq for the modem. See also: com1/com2

|  | _config_com_modem (T)

Syntax: _config_com_modem <0/1>
Default: 0
This is a really weird option. If set to 1 then com1 gets the values that the _config_x commands sets. It doesn't work for com2 though. I think in general it's better just to use the com1 and com2 commands.
See also: com1/com2

|  | _config_com_port (V)
| Syntax: _config_com_port <value> Default: 1016 Sets the default port for the modem. Use 0x#### to enter the number in hex. See also: com1/com2

|  | _config_modem_clear (V)
| Syntax: _config_modem_clear <string> Default: ATZ Sets the default modem reset command. See also: com1/com2

|  | _config_modem_dialtype (V)
| Syntax: _config_modem_dialtype <P/T> Default: T Sets the default dialing mode to Touch Tone (T) or Pulse (P). See also: com1/com2

|  | _config_modem_hangup (V)
| Syntax: _config_modem_hangup <string> Default: AT H Sets the default hangup string for the modem. See also: com1/com2

|  | _config_modem_init (V)
| Syntax: _config_modem_init <string> Default: (none) Sets the default modem init string. See also: com1/com2

|  | _vid_default_mode (V)
| Syntax: _vid_default_mode <mode> Default: 0 Sets the default video mode that Quake uses. See also: menu_video

|  | _vid_wait_override (T)

Syntax: _vid_wait_override <0/1>
Default: 0
From techinfo.txt:

    	can be used to force wait for vertical sync in all modes. When
    	_vid_wait_override is set to 0, the type of waiting, if any,
    	for each video mode that's set thereafter is automatically set
    	to that appears to be the fastest safe state. However, it is
    	possible in some cases that automatic setting may result in
    	some screen glitching, and it is also true that shear can be
    	eliminated by waiting for vertical sync (although at a cost in
    	performance), so it may be desirable in some cases to override
    	the automatic wait selection and always wait for vertical
    	sync.  This can be done by setting _vid_wait_override to 1. Once
    	set, this remains in effect through all succeeding mode sets,
    	even when Quake is exited and re-entered; the only way to keep
    	Quake from waiting for vertical sync once _vid_wait_override is
    	set to 1 is to set _vid_wait_override to 0. Note that changing
    	_vid_wait_override doesn't affect the current mode, but rather
    	takes effect on the next mode set.

A | Back to Quake Index / Top Index

|  | alias (C)

Syntax: alias <name> [command]
Using alias without the [command] option will erase the alias specified in <name>.
From techinfo.txt:

    	The alias command is used to create a reference to a command or list
    	of commands. When aliasing multiple commands, or commands that contain
    	multiple words (such as "fraglimit 50"), you must enclose all the
    	commands in quotation marks and separate each command with a
    	semi-colon.

    	Example of an alias that changes some Deathmatch server parameters:

    	alias net_game "hostname my_server ; fraglimit 15 ; timelimit 15"
    	bind INS net_game

See also: bind

|  | ambient_fade (V)
| Syntax: ambient_fade <n> Default: 100 How quickly ambient sounds fade in/out. Higher values make the sound fade quicker. See also: ambient_level

|  | ambient_level (V)
| Syntax: ambient_level <n> Default: 0.3 How loud ambient sounds are. This includes wind, water, and other ambient sounds. See also: ambient_fade

|  | auxlook (T)
| Syntax: auxlook <0/1> Default: 1 Toggle the camera angle control for use with an auxiliary controller (eg. SpaceTec & SpaceOrb). See also: toggle_auxlook

B | Back to Quake Index / Top Index

|  | ban (C)

Syntax: ban <ip address> [mask]
At long last you can ban those troublesome players. Just get their ip with the status command and enter it in. However, don't get your hopes up that much at this point. It is a quick hack and can only current handle one banned ip address. It also supports higher order domain banning to make it easy to ban players from a particular ISP or site. Once you have declared at least one banned site typing ban without an ip address will list the current sites that are being banned.
To use the higher order domain banning the format is: ban xxx.xxx.0.0 xxx.xxx.0.0 (yes you have to type twice)
Once banning has been turned on you can turn it off by using the command: ban off
See also: status

|  | begin (P)

Syntax: begin
This command reports "Not valid from console" when run. It is part of the Quake client/server protocol. Sent by a client to a server after the client has processed the entity spawn messages and the client is ready to begin rendering and processing game update messages. Not for use by mortals.
See also: prespawn, spawn

|  | bf (C)
| Syntax: bf Background flash, used when you pick up an item.

|  | bgmbuffer (V)
| Syntax: bgmbuffer <size> Default: 4096 Amount of memory allocated for the background music buffer, used when playing from a cd. See also: bgmvolume, cd

|  | bgmvolume (V)
| Syntax: bgmvolume <vol> Default: 1.0 Volume of background cd music. See also: cd, bgmbuffer

|  | bind (C)

Syntax: bind <key> [command]
Used to bind a set of commands to a key.
To bind multiple command enclose the entire command in quotes and separate the commands with semicolons:
bind q "impulse 7; +attack; wait; -attack; impulse 5"
When using actions commands in a bind (ie +attack or +left) the first action will automatically be stopped when the key is released. To prevent this, start the command with a semicolon:
bind q ";+mlook" (This will keep mlook on until a -mlook is executed.)
From techinfo.txt:

    	Where <key> is a valid key control and [command] is a valid
    	Quake command.

    	Example:
    	To bind the j key to the 'jump' command, you would type:
    	bind j +jump
    	and press enter.

    	Non-printable keys such as 'page up' and buttons from the
    	mouse/joystick are bound in the same manner as printable
    	characters.

    	Example:
    	To bind the page up key to the 'jump' command, you would type:
    	bind pageup +jump
    	and press enter.

    	To bind the right mouse button to the attack command, you would type:
    	bind mouse2 +attack
    	and press enter.

    	The following keys can be bound:
    	A-Z 		0-9
    	*F1-F12  	*TAB
    	ENTER 		SPACE
    	BACKSPACE	UPARROW
    	DOWNARROW 	LEFTARROW
    	RIGHTARROW  	ALT
    	CTRL  		SHIFT
    	INS  		DEL
    	PGDN  		PGUP
    	HOME  		END
    	PAUSE 		SEMICOLON
    	MOUSE1 (mouse button 1)
    	MOUSE2 (mouse button 2)
    	MOUSE3 (mouse button 3)
    	*~ (tilde)

    	* Can only be bound on the command line or in a .cfg file.
    	The ESC key cannot be bound.

See also: alias, unbind, unbindall

C | Back to Quake Index / Top Index

|  | cd (C)

Syntax: cd [command]
Used to control the cd player.
From techinfo.txt:

    	cd on
    		Re-enables the CD audio system after a "cd off" command.
    	cd off
    		Shuts down the CD audio system. No more music will be
    		played unless it is re-enabled.
    	cd reset
    		Causes the CD audio to re-initialize. This is useful
    		if you change CDs or insert the CD after you've
    		already run Quake.
    	cd play <track number>
    		Plays the specified track one time.
    	cd loop <track number>
    		Plays the specified track. It will be repeated until
    		either it is manually stopped or another track is started.
    	cd stop
    		Stops the currently playing track.
    	cd resume
    		Will resume playback of a stopped track.
    	cd eject
    		This is for CD players that do not have a manual eject button.
    	cd remap <track1> <track2> <track3> ...
    		Allows you to switch what tracks are played. This is
    		especially useful if you want to play music other than
    		that on the Quake CD. If the CD audio system is told
    		to play track 1, it will instead play the 1st track
    		you specified. For example: assuming a CD with 1 data
    		track and 8 music tracks, the command "cd remap 1 9 8
    		7 6 5 4 3 2" would leave the data alone and play the
    		audio tracks as if they had been placed on the CD in
    		the opposite order.
    	cd info
    		Reports information such as the number and types of
    		tracks on the current CD, what track (if any) is
    		currently playing, and the playback volume.

See also: bgmvolume, bgmbuffer

|  | centerview (C)
| Syntax: centerview Moves player's view back to straight ahead after a +lookup or +lookdown action. See also: v_centerspeed, force_centerview

|  | changelevel (C)
| Syntax: changelevel <map> Switch game play to selected level. Use this command instead of map when you are running a server. Unlike the command map, changelevel won't disconnect all of the clients before loading the next level. See also: map

|  | cl_anglespeedkey (V)
| Syntax: cl_anglespeedkey <speed> Default: 1.5 Sets multiplier for how fast you turn when running. See also: cl_yawspeed

|  | cl_backspeed (V)*
| Syntax: cl_backspeed <speed> Default: 200 Sets backward movement rate. See also: sv_maxspeed, cl_movespeedkey

|  | cl_bob (V)
| Syntax: cl_bob <value> Default: 0.02 Sets how much your weapon moves up and down when walking. See also: cl_bobcycle, cl_bobup

|  | cl_bobcycle (V)
| Syntax: cl_bobcycle <value> Default: 0.6 Sets how quickly your weapon moves up and down when walking. See also: cl_bob, cl_bobup

|  | cl_bobup (V)
| Syntax: cl_bobup <value> Default: 0.5 Sets how long your weapon stays up before cycling when walking. See also: cl_bob, cl_bob_cycle

|  | cl_forwardspeed (V)
| Syntax: cl_forwardspeed <speed> Default: 200 Sets forward movement rate. See also: sv_maxspeed, cl_movespeedkey

|  | cl_movespeedkey (V)
| Syntax: cl_movespeedkey <speed> Default: 2.0 Set multiplier for how fast you move when running. See also: cl_backspeed, cl_forwardspeed, sv_maxspeed

|  | cl_nolerp (T)

Syntax: cl_nolerp <0/1>
Default: 0
The default 0 has the following effect on game play. Normally in a netgame, when you are playing Quake plays for a bit, then check for the other players TCP/IP packets. This causes smooth play with the occasional jerk as it loads positions. Setting it to 1 changes the behavior. This causes the game to only display 1 frame per loading of positions, so it loads a positions in, displays a frame then loads positions, displays a frame, etc.

|  | cl_pitchspeed (V)
| Syntax: cl_pitchspeed <value> Default: 150 Sets how fast you lookup and lookdown.

|  | cl_rollangle (V)
| Syntax: cl_rollangle <value> Default: 2.0 Sets how much your screen tilts when strafing. See also: cl_rollspeed

|  | cl_rollspeed (V)
| Syntax: cl_rollspeed <speed> Default: 200 Sets how quickly you straighten out after strafing. See also: cl_rollangle

|  | cl_shownet (T)

Syntax: cl_shownet <0/1>
Default: 0
Toggle the display of current net status (Doesn't mean much to me.)
Example output:

    	98 98 120
    	120
    	98

|  | cl_sidespeed (V)
| Syntax: cl_sidespeed <speed> Default: 350 Sets how quickly you strafe.

|  | cl_upspeed (V)*
| Syntax: cl_upspeed <speed> Default: 200 Effects how quickly you move in liquids. (up, down and forward)

|  | cl_yawspeed (V)
| Syntax: cl_yawspeed <speed> Default: 140 Sets how quickly you turn left or right. See also: cl_anglespeedkey

|  | clear (C)
| Syntax: clear Clears the console screen.

|  | cmd (C)

Syntax: cmd <commands>
This command, when issued from the client, forwards the remaining command arguments to the server for execution. For example: 'cmd sv_gravity -100', or 'cmd deathmatch 0', when issued at a connected client's console, will be sent to and processed by the server as if issued from the server's console. Note: as of 1.06, the server ignores such commands.

|  | color (C)
| Syntax: color <shirt> <pants> Sets the player's colors. If just the shirt color is used the pants color will be the same. See also: _cl_color

|  | com1 / com2 (C)

Syntax: com1 [command] com2 [command]
Control the com ports on your computer.
From techinfo.txt:

    	enable | disable
    		"enable" means that your configuration is complete and
    		you want to use the COM port. "disable" is used to
    		turn off a COM port, usually to change its
    		settings. The default (initial) state is disabled.

    	modem | direct
    		Use one of these two to let Quake know if you are
    		using a modem or a direct connection (also called a
    		null modem.) Quake uses this to know if it needs to
    		handles modem initialization strings, dialing
    		sequences, and hangup procedures.

    	reset
    		This will reset the COM port to its default settings
    		and state.

    	port <n>
    	irq <n>
    		These are used to set the I/O Port and IRQ that your
    		serial port uses.  The default values are: port=3f8
    		irq=4 for COM1 and port=2f8 irq=3 for COM2. Note that
    		the port number is displayed in hexadecimal; to enter
    		it you would use something like "COM2 port 0x2f8"; the
    		"0x" preceding the "2f8" indicates that you are giving
    		the value in hexadecimal otherwise decimal is assumed.

    	baud <n>
    		Sets the baud rate. Valid values for <n> are: 9600,
    		14400, 28800, 57600, and 115200. 57600 is the
    		default. Please note that this is the baud rate used
    		for the uart, not your modem. It is perfectly valid to
    		use 57600 on a COM port that is connected to a 28.8
    		modem.

    	8250 | 16550
    		Specifies the type of uart chip in your
    		system. Normally this is automatically detected, one
    		of these need only be used if your chip is incorrectly
    		detected.

    	clear
    	startup
    	shutdown
    		This allows you to specify the clear, startup, and
    		shutdown strings needed for a modem for playing
    		Quake. If you've found values that previously worked
    		with Doom, use them here. If you are playing over a
    		null modem cable, leave these blank.

    	-cts | +cts
    	-dsr | +dsr
    	-cd  | +cd
    		These determine if certain serial control lines should
    		be honored or ignored. The "-" means you want that
    		line ignored, the "+" means to honor it. "cts" is an
    		abbreviation for "clear to send", "dsr" for "data set
    		ready", and "cd" for "carrier detect". Do not change
    		these values unless you are absolutely positive you
    		need to. The default is to ignore all 3 lines.

    	Quake always uses no parity, 8 data bits, and 1 stop bit; these
    	values can not be changed. The baud, port, irq, and uart type can
    	not be changed on an enabled port, you must disable it first.

    	----------------------
    	Configuration examples

    	Example1: You have a machine with two serial ports you are going
    	to use as a Quake server. COM1 will be using a null modem cable and
    	COM2 will be connected to a 14.4 modem. You would use commands similar
    	(the startup string would almost certainly be different) to these:

    	COM1 baud 57600 enable
    	COM2 baud 14400 modem startup AT\N0%C0B8 enable

    	Example2: You are going to use your machine to connect to a dial-up
    	Quake server with your 28.8 modem connected to COM2. You would
    	use a command something like this:

    	COM2 baud 57600 modem startup AT\N0%C0B8 enable

    	Note the baud rate is not the same as the modem speed. This allows
    	the modem-to-uart communications to occur at a higher rate than
    	the modem-to-modem communications.

See also: _config_com_baud, _config_com_irq, _config_com_modem, _config_com_port, _config_modem_clear, _config_modem_dialtype, _config_modem_hangup, _config_modem_init

|  | con_notifytime (V)
| Syntax: con_notifytime <time> Default: 3 Sets how long messages are displayed when playing.

|  | connect (C)

Syntax: connect <server>
Connect to a Quake server. The name can be an absolute LAN address, IP, or hostname, depending on your network connection. You can also use the following format "connect xxx.xxx.xxx.xxx: xxxxx" to connect to a certain udpport of a server. Make sure you use the quotes ("") otherwise it doesn't work. (I've had trouble getting this to work) In general if you want to connect to a port other than 26000 on a server use the port command before a connect command.
See also: port, slist, disconnect, reconnect

|  | coop (T)
| Syntax: coop <0/1> Default: 0 Toggle the cooperative play mode in network games. See also: deathmatch, teamplay

|  | crosshair (T)
| Syntax: crosshair <0/1> Default: 0 Toggle the display of an aiming crosshair.

D | Back to Quake Index / Top Index

|  | d_mipcap (V)
| Syntax: d_mipcap <value> Default: 0 Sets the detail level. Values range from 0-3 with 0 giving the highest detail. See also: d_mipscale, d_subdiv16

|  | d_mipscale (V)
| Syntax: d_mipscale <value> Default: 1 Sets how much detail distant objects have. Values range from 0-40 with 0 not bluring distant objects at all. (Uses lots of ram if set to 0) See also: d_mipcap, d_subdiv16

|  | d_subdiv16 (T)

Syntax: d_subdiv16 <0/1>
Default: 1
Toggle extreme perspective correction.
From techinfo.txt:

    	For maximum speed, perspective correction is performed only
    	every 16 pixels. This is normally fine, but it is possible to
    	see texture ripples in surfaces that are viewed at sharp
    	angles. For more precise texture mapping, set the console
    	variable d_subdiv16 to 0. Doing this will result in somewhat
    	slower performance, however, and the difference in visual
    	quality will not normally be noticeable.

See also: d_mipcap, d_mipscale

|  | deathmatch (T)
| Syntax: deathmatch <0/1> Default: 0 Toggle the deathmatch play mode. See also: coop, teamplay

|  | demos (C)
| Syntax: demos Start playing queued demo(s) or cycle to next one if already playing. See also: playdemo, startdemos, stopdemo, record

|  | developer (V)

Syntax: developer <0/1>
Default: 0
Toggle display of extra debugging information.
Example output:

    	SpawnServer:  e1m1
    	Clearing memory
    	Programs occupy 400K.
    	33 entities inhibited
    	Server spawned.
    	CL_EstablishConnection:  connected to local
    	Client LOCAL connected
    	the Slipgate Complex
    	CL_SignonReply:  1
    	CL_SignonReply:  2
    	CL_SignonReply:  3
    	4.2 megabyte data cache
    	CL_SignonReply:  4

|  | disconnect (C)
| Syntax: disconnect Leave current server. See also: connect, reconnect

E | Back to Quake Index / Top Index

|  | echo (C)
| Syntax: echo <string> Print text to your own console.

|  | edgefriction (V)
| Syntax: edgefriction <value> Default: 2 Sets how easy it is to fall off an edge.

|  | edict (C)

Syntax: edict <value>
Get information on an edict in the game. This dumps a bunch of information about the object.
Example output:

    	EDICT 1:
    	modelindex59.0
    	absmin'463.0 -369.0  63.0'
    	absmax'497.0 -335.0 121.0'
    	movetype3.0
    	solid3.0
    	origin'480.0 -352.0  88.0'
    	oldorigin'480.0 -352.0  88.0'
    	angles'  0.0  90.00.0'
    	classnameplayer
    	model progs/player.mdl
    	frame  16.0
    	mins  '-16.0 -16.0 -24.0'
    	maxs  ' 16.0  16.0  32.0'
    	size  ' 32.0  32.0  56.0'
    	think player_stand1()
    	nextthink  2.8
    	health100.0
    	weapon  1.0
    	weaponmodel progs/v_shot.mdl
    	currentammo  25.0
    	ammo_shells  25.0
    	items 4353.0
    	takedamage 2.0
    	view_ofs '  0.00.0  22.0'
    	v_angle  '  0.0  90.00.0'
    	netname  Prog
    	flags 4616.0
    	colormap1.0
    	team 7.0
    	max_health  100.0
    	watertype -1.0
    	th_pain  player_pain()
    	th_diePlayerDie()
    	walkframe  5.0
    	attack_finished  1.4
    	jump_flag-31.7
    	air_finished 14.7
    	dmg  2.0

See also: edictcount, edicts

|  | edictcount (C)

Syntax: edictcount
Display summary information about game edicts.
Example output:

    	num_edicts: 165
    	    active: 164
    	      view: 107
    	     touch: 123
    	      step:  23

See also: edict, edicts

|  | edicts (C)
| Syntax: edicts Display information on all edicts in game. See also: edict, edictcount

|  | entities (C)

Syntax: entities
Display a list of used objects in the game.
Example output:

      	0: maps/e1m5.bsp:  0  (  0.0,  0.0,  0.0) [  0.00.00.0]
      	1: EMPTY
      	2: EMPTY
      	3: EMPTY
      	4: EMPTY
      	5: progs/player.mdl:  0  (-1647.9,1722.4, 24.0) [  0.0 -94.20.0]
      	6: EMPTY
     	7: progs/player.mdl: 16  (-1205.8,2276.6, 24.0) [  0.0 215.60.0]
      	(...) {Text deleted}

|  | exec (C)
| Syntax: exec <filename> Execute a script file.

F | Back to Quake Index / Top Index

|  | flush (C)
| Syntax: flush Clears the current game cache this includes cached sounds. See also: precache, soundlist

|  | fly (T)
| Syntax: fly Default: Off Toggle fly mode. Use moveup and movedown to adjust height.

|  | force_centerview (C)
| Syntax: force_centerview Snaps the view back to the center regardless if you are in a +mlook, +klook, +lookup, or +lookdown. See also: centerview

|  | fov (V)
| Syntax: fov <value> Default: 90 Sets the field of vision, which determines how close you are to the objects.

|  | fraglimit (V)
| Syntax: fraglimit <value> Default: 0 Sets the number of frags needed before exiting a level. See also: timelimit, noexit, samelevel

G | Back to Quake Index / Top Index

|  | gamma (V)
| Syntax: gamma <value> Default: 0.0 Sets the gamma correction level (aka brightness.) See also: r_fullbright

|  | give (C)

Syntax: give <item> <amount>
Give yourself an amount of an item. I still haven't been able to figure out how to get armor.

Item | Description | Maximum
--- | --- | ---
1 | Axe
2 | Shotgun
3 | Double Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | Lighting Gun
C | Cells | 255
H | Health | 32767
N | Nails | 255
R | Rockets | 255
S | Shotgun Shells | 255

|  | god (T)
| Syntax: god Default: Off Toggle god mode.

H | Back to Quake Index / Top Index

|  | help (C)
| Syntax: help Bring up the help system (like pressing F1).

|  | host_framerate (V)*

Syntax: host_framerate <value>
Default: 0
This adjusts the time rate in Quake. The default of 0 sets the Quake Frame Time (QFT) to the corresponding real time, that means if a frame is displayed 0.05 seconds in real time then it also lasts 0.05 seconds in Quake.
By giving host_framerate another value the QFT is fixed, no matter how long it is displayed in real time. Your real fps isn't affected.
In multiplayer games each client can set host_framerate for a short time. If host_framerate isn't set back to zero as fast as possible, then the client's computer will hang, especially when picking up things, etc..
Test: A value of 0.5 (= artifical 2fps, half second per frame) is very fast and almost unplayable. After you change the value, exit the console and hold the "TAB" key. Notice the time indicator on the bottom right. The higher the rate, the faster time passes.
This gives you the possibilty to create exact movements like a 180 degree turn:

    echo "180 Degree Turn Alias"
    alias turn "host_framerate 0.03; wait; cl_yawspeed 8000; +left; wait; -left; cl_yawspeed 140; host_framerate 0"

|  | host_speeds (T)

Syntax: host_speeds <0/1>
Default: 0
Toggle the display of host info. They are in order: total time, server time, graphics time, and sound time. Each one is represented in ms and indicates the total time spend in each sub-system.
Example output:

     	34 tot3 server  31 gfx0 snd
     	36 tot3 server  31 gfx2 snd
     	34 tot3 server  31 gfx0 snd

See also: snd_noextraupdate

|  | hostname (V)
| Syntax: hostname <name> Default: unnamed or local Sets the hostname of your computer.

I | Back to Quake Index / Top Index

|  | impulse (C)

Syntax: impulse <value>
Perform weapon selection and also a few cheats.

Value | Action
--- | ---
1-8 | Select corresponding weapon
9 | Gives you all the weapons and keys
10 | Selects your next weapon by numerical value
11 | Gives you a rune
12 | Selects your last weapon by numerical value
255 | Gives you quad damage

J | Back to Quake Index / Top Index

|  | joybuttons (V)
| Syntax: joybuttons <value> Sets the number of buttons on your joystick. See also: joystick

|  | joystick (T)
| Syntax: joystick <0/1> Toggles if you have a joystick or not. See also: joybuttons

K | Back to Quake Index / Top Index

|  | kick (C)

Syntax: kick <playername> or <# player-number> <message>
Kick a player off of your sever. You can also kick a player based on their number as listed in the status command. (Haven't tried the kick by number yet but it should work. I also believe that you will need the extra spaces between the # and the player-number.) If you add the message at the end it will display it to the user.
See also: status

|  | kill (C)
| Syntax: kill Reduces your health to zero.

L | Back to Quake Index / Top Index

|  | listen (T)
| Syntax: listen <0/1> Default: 0 Toggles if the server will "listen" for connections.

|  | load (C)
| Syntax: load <filename> Load a saved game. See also: save, menu_load

|  | loadas8bit (T)
| Syntax: loadas8bit <0/1> Default: 0 Toggles if sounds are loaded in 8-bit.

|  | lookspring (T)
| Syntax: lookspring <0/1> Default: 0 Toggles if the view will recenter after mlook is deactivated. Only works with the mouse and joystick. See also: centerview

|  | lookstrafe (T)
| Syntax: lookstrafe <0/1> Default: 0 Toggles if turn left and right will strafe left and right when a mlook is active. Only works with the mouse.

M | Back to Quake Index / Top Index

|  | m_filter (T)
| Syntax: m_filter <0/1> Default: 1 Use the average of the last poistion and the current mouse position to track movement. 1 gives a smoother feel while 0 gives a raw feeling.

|  | m_forward (V)
| Syntax: m_forward <value> Default: 1 Sets how quickly moving the mouse forwards and backwards causes the player to move in the respective direction.

|  | m_pitch (V)
| Syntax: m_pitch <value> Default: 0.022 Sets how quickly you lookup and lookdown with the mouse when a mlook is active. Using a negative value will reverse the directions that the mouse looks.

|  | m_side (V)
| Syntax: m_side <value> Default: 0.8 Sets how quickly you strafe left and right with the mouse.

|  | m_yaw (V)
| Syntax: m_yaw <value> Default: 0.022 Sets how quickly you turn left and right with the mouse.

|  | map (C)

Syntax: map <name>
Load an start a new map. Use of this command on a multiplayer server isn't recommended because it disconnects all of the clients before loading the next level. The changelevel command is preferred in this instance.

Welcome to Quake
start | Entrance
Doomed Dimension
e1m1 | Slipgate Complex | e1m2 | Castle of the Damned
e1m3 | The Necropolis | e1m4 | The Grisly Grotto
e1m5 | Gloom Keep | e1m6 | The Door To Chthon
e1m7 | The House of Chthon | e1m8 | Ziggurat Vertigo
Realm of Black Magic
e2m1 | The Installation | e2m2 | Ogre Citadel
e2m3 | Crypt of Decay | e2m4 | The Ebon Fortress
e2m5 | The Wizard's Manse | e2m6 | The Dismal Oubliette
e2m7 | Underearth
Netherworld
e3m1 | Termination Central | e3m2 | The Vaults of Zin
e3m3 | The Tomb of Terror | e3m4 | Satan's Dark Delight
e3m5 | Wind Tunnels | e3m6 | Chambers of Torment
e3m7 | The Haunted Halls
The Elder World
e4m1 | The Sewage System | e4m2 | The Tower of Despair
e4m3 | The Elder God Shrine | e4m4 | The Palace of Hate
e4m5 | Hell's Atrium | e4m6 | The Pain Maze
e4m7 | Azure Agony | e4m8 | The Nameless City
Final Level
end | Shub-Niggurath's Pit
Deathmatch Arena
dm1 | Place of Two Deaths | dm2 | Claustrophobopolis
dm3 | The Abandoned Base | dm4 | The Bad Place
dm5 | The Cistern | dm6 | The Dark Zone

See also: changelevel, restart

|  | maxplayers (V)
| Syntax: maxplayers <value> Default: 1 Sets the number of players that can connect to a server. (Must use the command line to go above 4. Can't be changed while the server is running.)

|  | menu_keys (C)
| Syntax: menu_keys Brings up the key customization menu. See also: menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

|  | menu_load (C)
| Syntax: menu_load Brings up the load game menu. See also: menu_keys, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

|  | menu_main (C)
| Syntax: menu_main Brings up the main menu. See also: togglemenu, menu_keys, menu_load, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

|  | menu_multiplayer (C)
| Syntax: menu_multiplayer Brings up the multiplayer game option menu. See also: menu_keys, menu_load, menu_main, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

|  | menu_options (C)
| Syntax: menu_options Brings up the options menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_quit, menu_save, menu_setup, menu_singleplayer, menu_video

|  | menu_quit (C)
| Syntax: menu_quit Brings up the quit dialog box. See also: quit, menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_save, menu_setup, menu_singleplayer, menu_video

|  | menu_save (C)
| Syntax: menu_save Brings up the save game menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_setup, menu_singleplayer, menu_video

|  | menu_setup (C)
| Syntax: menu_setup Brings up the setup menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_singleplayer, menu_video

|  | menu_singleplayer (C)
| Syntax: menu_singleplayer Brings up the single player option menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_video

|  | menu_video (C)
| Syntax: menu_video Brings up the video option menu. See also: menu_keys, menu_load, menu_main, menu_multiplayer, menu_options, menu_quit, menu_save, menu_setup, menu_singleplayer

|  | messagemode (C)

Syntax: messagemode
Prompts for string to broadcast to all other players. This command can not be used on a dedicated server because it lacks the graphic environment. Use a say or say_team command from a dedicated server.
See also: messagemode2, say, say_team

|  | messagemode2 (C)

Syntax: messagemode2
Prompts for string to broadcast to your team members. This command can not be used on a dedicated server because it lacks the graphic environment. Use a say or say_team command from a dedicated server.
See also: messagemode, say, say_team

N | Back to Quake Index / Top Index

|  | name (V)
| Syntax: name <string> Default: Player Sets your name that other players will see and what console messages will use. See also: _cl_name

|  | net_messagetimeout (V)
| Syntax: net_messagetimeout <value> Default: 300 Sets how long the program waits for network info before considering the connection broken.

|  | net_stats (C)

Syntax: net_stats
Reports a summary of the current net information.
Example output:

    	unreliable messages sent  = 0
    	unreliable messages recv  = 0
    	reliable messages sent  = 0
    	reliable messages received  = 0
    	packetsSent  = 0
    	packetsReSent  = 0
    	packetsReceived  = 0
    	receivedDuplicateCount  = 0
    	shortPacketCount  = 0
    	droppedDatagrams  = 0

|  | noclip (T)
| Syntax: noclip Default: Off Toggle no clipping mode.

|  | noexit (V)

Syntax: noexit <value>
Default: 0
Toggles if players can leave the current level. Useful for servers that what to use only one map. To correct a bug in v1.01 the noexit flag has the following effects on the "start" map:
0 = noexit off (people can exit at any point)
1 = noexit on (goes through the levels in order. exits the "start" map when either the fraglimit or timelimit has been reached)
2 = noexit on (players may exit into what ever episode they want from the "start" map before the fraglimit or timelimit has been reached)
See also: fraglimit, timelimit, samelevel

|  | noisetrack (C)
| Syntax: noisetrack <wav file> Kind of starts up the wav file in a background loop. You have to use the complete sound path name ( sound/ambience/suck1.wav ). A little flaky on my setup for some reason.

|  | nosound (T)
| Syntax: nosound <0/1> Default: 0 Toggles if sound is on.

|  | notarget (T)
| Syntax: notarget Default: Off Toggle if creatures automatically attack player.

P | Back to Quake Index / Top Index

|  | path (C)

Syntax: path
Show what paths Quake is using.
Example output:

    	Current search path:
    	c: /quake_sw/id1/pak0.pak (339 files)
    	c: /quake_sw/id1

|  | pausable (T)
| Syntax: pausable <0/1> Default: 1 Toggles if players can pause the game. See also: pause

|  | pause (C)
| Syntax: pause Pause and unpause the game. See also: pausable

|  | ping (C)*

Syntax: ping
Shows the ping time to the server for you and all other connected players.
Example output:

    	Client ping times:
     	 443 Player1
     	 368 Player2
     	 462 Player3
      	  93 Player4
    	1050 Player5

|  | play (C)

Syntax: play <name>
Play a sound effect.

Playable Sounds
ambience/buzz1.wav | ambience/comp1.wav | ambience/drip1.wav
ambience/drone6.wav | ambience/fire1.wav | ambience/fl_hum1.wav
ambience/hum1.wav | ambience/suck1.wav | ambience/swamp1.wav
ambience/swamp2.wav | ambience/thunder1.wav | ambience/water1.wav
ambience/wind2.wav | ambience/windfly.wav | blob/death1.wav
blob/hit1.wav | blob/land1.wav | blob/sight1.wav
boss1/death.wav | boss1/out1.wav | boss1/pain.wav
boss1/sight1.wav | boss1/throw.wav | boss2/death.wav
boss2/idle.wav | boss2/pop2.wav | boss2/sight.wav
buttons/airbut1.wav | buttons/switch02.wav | buttons/switch04.wav
buttons/switch21.wav | demon/ddeath.wav | demon/dhit2.wav
demon/djump.wav | demon/dland2.wav | demon/dpain1.wav
demon/idle1.wav | demon/sight2.wav | dog/dattack1.wav
dog/ddeath.wav | dog/dpain1.wav | dog/dsight.wav
dog/idle.wav | doors/airdoor1.wav | doors/airdoor2.wav
doors/basesec1.wav | doors/basesec2.wav | doors/basetry.wav
doors/baseuse.wav | doors/ddoor1.wav | doors/ddoor2.wav
doors/doormv1.wav | doors/drclos4.wav | doors/hydro1.wav
doors/hydro2.wav | doors/latch2.wav | doors/medtry.wav
doors/meduse.wav | doors/runetry.wav | doors/runeuse.wav
doors/stndr1.wav | doors/stndr2.wav | doors/winch2.wav
enforcer/death1.wav | enforcer/enfire.wav | enforcer/enfstop.wav
enforcer/idle1.wav | enforcer/pain1.wav | enforcer/pain2.wav
enforcer/sight1.wav | enforcer/sight2.wav | enforcer/sight3.wav
enforcer/sight4.wav | fish/bite.wav | fish/death.wav
fish/idle.wav | hknight/attack1.wav | hknight/death1.wav
hknight/grunt.wav | hknight/hit.wav | hknight/idle.wav
hknight/pain1.wav | hknight/sight1.wav | hknight/slash1.wav
items/armor1.wav | items/damage.wav | items/damage2.wav
items/damage3.wav | items/health1.wav | items/inv1.wav
items/inv2.wav | items/inv3.wav | items/itembk2.wav
items/protect.wav | items/protect2.wav | items/protect3.wav
items/r_item1.wav | items/r_item2.wav | items/suit.wav
items/suit2.wav | knight/idle.wav | knight/kdeath.wav
knight/khurt.wav | knight/ksight.wav | knight/sword1.wav
knight/sword2.wav | misc/basekey.wav | misc/h2ohit1.wav
misc/medkey.wav | misc/menu1.wav | misc/menu2.wav
misc/menu3.wav | misc/null.wav | misc/outwater.wav
misc/power.wav | misc/r_tele1.wav | misc/r_tele2.wav
misc/r_tele3.wav | misc/r_tele4.wav | misc/r_tele5.wav
misc/runekey.wav | misc/secret.wav | misc/talk.wav
misc/trigger1.wav | misc/water1.wav | misc/water2.wav
ogre/ogdrag.wav | ogre/ogdth.wav | ogre/ogidle.wav
ogre/ogidle2.wav | ogre/ogpain1.wav | ogre/ogsawatk.wav
ogre/ogwake.wav | plats/medplat1.wav | plats/medplat2.wav
plats/plat1.wav | plats/plat2.wav | plats/train1.wav
plats/train2.wav | player/axhit1.wav | player/axhit2.wav
player/death1.wav | player/death2.wav | player/death3.wav
player/death4.wav | player/death5.wav | player/drown1.wav
player/drown2.wav | player/gasp1.wav | player/gasp2.wav
player/gib.wav | player/h2odeath.wav | player/h2ojump.wav
player/inh2o.wav | player/inlava.wav | player/land.wav
player/land2.wav | player/lburn1.wav | player/lburn2.wav
player/pain1.wav | player/pain2.wav | player/pain3.wav
player/pain4.wav | player/pain5.wav | player/pain6.wav
player/plyrjmp8.wav | player/slimbrn2.wav | player/teledth1.wav
player/tornoff2.wav | player/udeath.wav | shalrath/attack.wav
shalrath/attack2.wav | shalrath/death.wav | shalrath/idle.wav
shalrath/pain.wav | shalrath/sight.wav | shambler/melee1.wav
shambler/melee2.wav | shambler/sattck1.wav | shambler/sboom.wav
shambler/sdeath.wav | shambler/shurt2.wav | shambler/sidle.wav
shambler/smack.wav | shambler/ssight.wav | soldier/death1.wav
soldier/idle.wav | soldier/pain1.wav | soldier/pain2.wav
soldier/sattck1.wav | soldier/sight1.wav | vomitus/v_sight1.wav
weapons/ax1.wav | weapons/bounce.wav | weapons/grenade.wav
weapons/guncock.wav | weapons/lhit.wav | weapons/lock4.wav
weapons/lstart.wav | weapons/pkup.wav | weapons/r_exp3.wav
weapons/ric1.wav | weapons/ric2.wav | weapons/ric3.wav
weapons/rocket1i.wav | weapons/sgun1.wav | weapons/shotgn2.wav
weapons/spike2.wav | weapons/tink1.wav | wizard/hit.wav
wizard/wattack.wav | wizard/wdeath.wav | wizard/widle1.wav
wizard/widle2.wav | wizard/wpain.wav | wizard/wsight.wav
zombie/idle_w2.wav | zombie/z_fall.wav | zombie/z_gib.wav
zombie/z_hit.wav | zombie/z_idle.wav | zombie/z_idle1.wav
zombie/z_miss.wav | zombie/z_pain.wav | zombie/z_pain1.wav
zombie/z_shot1.wav

See also: playvol, volume

|  | playdemo (C)
| Syntax: playdemo <filename> Play a demo. See also: demos, startdemos, stopdemo, record

|  | playvol (C)
| Syntax: playvol <filename> <volume> Play a sound at a given volume. See play for a list of sounds. See also: play

|  | pointfile (C)

Syntax: pointfile <filename.pts>
If qbsp generates a non-zero .pts file a leak exists in the level. This file is created in the maps directory. By using the pointfile command, it will load the .pts file and give a dotted line indicating where the leak(s) are on the level.

|  | port (V)

Syntax: port <port>
Default: 26000
Sets which port the connect command will use by default. Normally issuing a "connect 123.456.789.012" will connect to the server at port 26000. Helpful in binding your favorite servers to aliases. (ie alias server1 "port 260001; connect 123.456.789.012")
See also: connect

|  | precache (T)
| Syntax: precache <0/1> Default: 1 Toggle the use of a precache. This caches sound and other game data. See also: flush

|  | prespawn (P)

Syntax: prespawn
This command reports "Not valid from console" when run. Part of the Quake client/server protcol. Sent by a client to a server after the client has processed the sign-on message from the server and the client is ready to process the ??? messages. Not for use by mortals.
See also: begin, spawn

|  | profile (C)

Syntax: profile <command>
Report info about which Quake C commands have been called the most. If the command is "all" it will dump every function call made.
Example output:

    	185532 FindTarget
    	 62092 ai_stand
    	 39519 ai_walk
    	 22417 WaterMove
    	 21654 PlayerPreThink
    	 16262 PlayerPostThink
    	 16233 ImpulseCommands
    	 14015 LinkDoors
    	 12368 CheckRules
    	 10822 CheckPowerups

Q | Back to Quake Index / Top Index

|  | quit (C)
| Syntax: quit Exit the game no questions asked. See also: menu_quit

R | Back to Quake Index / Top Index

|  | r_aliastransadj (X)
| Syntax: r_aliastransadj <?> Default: 200 Used in determining how much of an alias model (ie: monsters, etc) is "clipped away" and how much is viewable. Currently has no effect on game play.

|  | r_aliastransbase (X)
| Syntax: r_aliastransbase <?> Default: 200 Used in determining how much of an alias model (ie: monsters, etc) is "clipped away" and how much is viewable. Currently has no effect on game play.

|  | r_ambient (V)
| Syntax: r_ambient <value> Default: 0 Sets how bright the rooms are by default. This applies regardless of separate light source present in a room. See also: r_fullbright

|  | r_clearcolor (V)
| Syntax: r_clearcolor <value> Default: 2 This sets the color for areas outside of the current map. You will really only see it if you have no clipping on and walk "outside".

|  | r_drawentities (T)
| Syntax: r_drawentities <0/1> Default: 1 Toggles the drawing of objects like doors, bars, buttons, monsters, items, nails, rockets, and grenades.

|  | r_drawflat (T)
| Syntax: r_drawflat <0/1> Default: 0 Toggles the drawing of texture maps. (0=use texture maps)

|  | r_draworder (T)
| Syntax: r_draworder <0/1> Default: 0 Toggles correct drawing order. (1=x-ray vision)

|  | r_drawviewmodel (T)
| Syntax: r_drawviewmodel <0/1> Default: 1 Toggles the drawing of your weapon.

|  | r_dspeeds (T)

Syntax: r_dspeeds <0/1>
Default: 0
Toggles the displaying of information. (What it is I don't know)
Example output:

     	31  0.4p5w  2.5b  20s  1.0e  1.6v
     	26  0.5p5w  2.5b  15s  1.0e  1.6v
     	28  0.4p5w  2.2b  17s  1.0e  1.6v
     	26  0.3p5w  2.5b  15s  1.0e  1.6v
     	26  0.2p5w  2.2b  15s  1.0e  1.6v

|  | r_fullbright (T)
| Syntax: r_fullbright <0/1> Default: 0 See also: gamma

|  | r_graphheight (V)
| Syntax: r_graphheight <value> Default: 10 Set the number of lines displayed in the timegraph. See also: r_timegraph

|  | r_maxedges (V)
| Syntax: r_maxedges <value> Default: 2000 Sets the maximum number of edges. The new setting does not take effect until the map is restarted. Probably only helpful for map developers. See also: r_numedges, r_reportedgeout

|  | r_maxsurfs (V)
| Syntax: r_maxsurfs <value> Default: 1000 Sets the maximum number of surfaces. The new setting does not take effect until the map is restarted. Probably only helpful for map developers. See also: r_numsurfs, r_reportsurfout

|  | r_numedges (T)

Syntax: r_numedges <0/1>
Default: 0
Toggles the displaying of number of edges currently being viewed.
Example output:

    	Used 517 of 2000 edges; 521 max
    	Used 517 of 2000 edges; 521 max
    	Used 513 of 2000 edges; 521 max
    	Used 513 of 2000 edges; 521 max

See also: r_maxedges, r_reportedgeout

|  | r_numsurfs (T)

Syntax: r_numsurfs <0/1>
Default: 0
Toggles the displaying of number of surfaces currently being viewed.
Example output:

    	Used 183 of 1001 surfs; 188 max
    	Used 182 of 1001 surfs; 188 max
    	Used 182 of 1001 surfs; 188 max
    	Used 178 of 1001 surfs; 188 max

See also: r_maxsurfs, r_reportsurfout

|  | r_polymodelstats (T)

Syntax: r_polymodelstats <0/1>
Default: 0
Toggles the displays of number of polygon models current being viewed.
Example output:

      	5 polygon model drawn
      	6 polygon model drawn
      	5 polygon model drawn

|  | r_reportedgeout (T)
| Syntax: r_reportedgeout <0/1> Default: 0 Toggle the display of how many edges where not displayed. I've never had this happen during normal game play, only when in noclip mode. See also: r_maxedges, r_numedges

|  | r_reportsurfout (T)
| Syntax: r_reportsurfout <0/1> Default: 0 Toggle the display of how many surfaces where not displayed. This shouldn't happen during normal game play, only when in noclip mode. See also: r_maxsurfs, r_numsurfs

|  | r_speeds (T)

Syntax: r_speeds <0/1>
Default: 0
Toggles the displaying of drawing time and stats of what is currently being viewed.
Example output:

     	32.7 ms 267/196/ 74 poly   3 surf
     	38.6 ms 267/196/ 74 poly  20 surf
     	60.4 ms 267/196/ 74 poly  18 surf
     	38.2 ms 267/196/ 73 poly  18 surf

|  | r_timegraph (T)
| Syntax: r_timegraph <0/1> Default: 0 Toggle the display of a performance graph. (Lower levels means better performance.) See also: r_graphheight

|  | r_waterwarp (T)
| Syntax: r_waterwarp <0/1> Default: 1 Toggles whether surfaces are warped when in a liquid.

|  | reconnect (C)
| Syntax: reconnect Reconnect to last server. See also: connect, disconnect

|  | record (C)
| Syntax: record <filename> <map> [cd track] Record a demo on a map using an optional cd track. See also: stop, playdemo

|  | registered (T)
| Syntax: registered <0/1> Default: 0 for SW Toggles if the game is registered or not.

|  | restart (C)
| Syntax: restart Restart the current level. See also: map, changelevel

S | Back to Quake Index / Top Index

|  | samelevel (T)
| Syntax: samelevel <0/1> Default: 0 Toggles whether exiting a level advances to the next one. See also: fraglimit, timelimit, noexit

|  | save (C)
| Syntax: save <filename> Save a game. See also: load, menu_save

|  | say (C)
| Syntax: say <string> Broadcast a string to all other players. The string is entered on the console, unlike the messagemode and messagemode2 commands, allowing it to be used on a dedicated server. See also: messagemode, messagemode2, say_team

|  | say_team (C)

Syntax: say_team <string>
Broadcast a string to all players on your team. The string is entered on the console, unlike the messagemode and messagemode2 commands, allowing it to be used on a dedicated server.
See also: messagemode2, messagemode, say

|  | sbinfo (C)

Syntax: sbinfo
Report current Sound Blaster settings.
Example output:

    	BLASTER=A220 I5 D1 H5 P330 T6
    	dsp version=4.13
    	dma=5
    	dma position: 79

|  | scr_centertime (V)
| Syntax: scr_centertime <time> Default: 2 Sets how long the screen hints are displayed on the screen. This includes messages like "Step into the slipgate...".

|  | scr_conspeed (V)
| Syntax: scr_conspeed <value> Default: 300 Sets how quickly the console screen scrolls up and down.

|  | scr_ofsx (V)
| Syntax: scr_ofsx <value> Default: 0 Sets how much to offset the view in the x direction. See also: scr_ofsy, scr_ofsz

|  | scr_ofsy (V)
| Syntax: scr_ofsy <value> Default: 0 Sets how much to offset the view in the y direction. See also: scr_ofsx, scr_ofsz

|  | scr_ofsz (V)
| Syntax: scr_ofsz <value> Default: 0 Sets how much to offset the view in the z direction. See also: scr_ofsx, scr_ofsy

|  | scr_printspeed (V)
| Syntax: scr_printspeed <speed> Default: 8 Controls how fast the text is displayed at the end of the single player episodes.

|  | screenshot (V)
| Syntax: screenshot Captures a .pcx file of your current view. Automatically names based on the existence of other screenshots.

|  | sensitivity (V)
| Syntax: sensitivity <value> Default: 3 Sets the sensitivity of the mouse.

|  | serverprofile (T)

Syntax: serverprofile <0/1>
Default: 0
Toggles if server stats are displayed.
Example output:

    	serverprofile:4 clients 40 msec

|  | showpause (T)
| Syntax: showpause <0/1> Default: 1 Toggles if the pause icon appears when the game is paused. See also: showram, showturtle

|  | showram (T)
| Syntax: showram <0/1> Default: 1 Toggles if the ram icon appears when then game is running out of memory. See also: showpause, showturtle

|  | showturtle (T)
| Syntax: showturtle <0/1> Default: 0 Toggle if the turtle icon is displayed when the frame rate drops below 10. See also: showpause, showram

|  | sizedown (C)
| Syntax: sizedown Reduces the screen size. See also: sizeup, viewsize

|  | sizeup (C)
| Syntax: sizeup Increases the screen size. See also: sizedown, viewsize

|  | skill (V)

Syntax: skill <level>
Set the skill level of the game. Useful to set before recording a demo.

Value | Difficulty
--- | ---
0 | Easy
1 | Normal
2 | Hard
3 | Nightmare

|  | slist (C)
| Syntax: slist Show Quake servers located on the LAN. See also: connect

|  | snd_noextraupdate (T)

Syntax: snd_noextraupdate <0/1>
Default: 0
Toggles the correct value display in host_speeds. Usually messes up sound playback when in effect.
From techinfo.txt:

    	(Note, though, that unless you also do snd_noextraupdate
    	1<enter> sound time will actually show up as graphics
    	time. However, snd_noextraupdate 1 can cause sound to get
    	choppy, so it's not generally recommended.)

See also: host_speeds

|  | snd_show (T)

Syntax: snd_show <0/1>
Default: 0
Toggles the display of sounds currently being played.
Example output:

    	255 106 zombie/z_idle.wav
    	218  66 zombie/z_idle.wav
    	241  89 zombie/z_idle.wav
    	 70 117 ambience/fire1.wav
    	----(4)----

|  | soundinfo (C)

Syntax: soundinfo
Reports information on the sound system.
Example output:

    	    1 stereo
    	 2048 samples
    	 1963 samplepos
    	   16 samplebits
    	    1 submission_chunk
    	11025 speed
       0x7d7cf000 dma buffer
               78 total_channels

|  | soundlist (C)

Syntax: soundlist
Reports a list of sounds current cached.
Example output:

    	(...) {Text Deleted}
    	L( 8b) 137481 :  ambience/drip1.wav
    	L( 8b)  68273 :  ambience/swamp2.wav
    	L( 8b)  68271 :  ambience/swamp1.wav
    	 (16b)  28120 :  weapons/lstart.wav
    	 ( 8b)  12815 :  items/damage3.wav
    	 ( 8b)  19694 :  misc/power.wav
    	Total resident:  1689633

See also: flush

|  | spawn (P)

Syntax: spawn
This command reports "Not valid from console" when run. Part of the Quake client/server protocol. Sent by a client to a server after the client has processed the prespawn messages and the client is ready to process the entity spawn messages. Not for use by mortals.
See also: begin, prespawn

|  | startdemos (C)

Syntax: startdemos <filename1> <filename2> <...>
Setup a queue of demos to loop. Note: once you queue 3 demos your list must always have 3 demos in it. Likewise if you queue 5 any future lists must also have 5 demos in it. If after queueing 4 demos you then queue 2, the two demos from the 4 demo queue will be played after your two newly queued demos.
See also: demos, playdemo, stopdemo

|  | status (C)

Syntax: status
Report current game information.
Example output:

    	   host:  hostname
    	    map:  e1m6
    	players:  8 active (8 max)
    	player1 10: 03: 39
    	xxx.xxx.xxx.xxx: xxxx
    	player2 20: 06: 49
    	xxx.xxx.xxx.xxx: xxxx
    	(...) {Text deleted}

|  | stop (C)
| Syntax: stop Stop the recording of a demo. See also: record

|  | stopdemo (C)
| Syntax: stopdemo Stops the current playback of demos. See also: playdemo, demos

|  | stopsound (C)
| Syntax: stopsound Stops all sounds currently being played.

|  | stuffcmds (C)
| Syntax: stuffcmds Starts execution of command line parameters. (Used during game startup.)

|  | sv_accelerate (V)
| Syntax: sv_accelerate <value> Default: 10 Sets how quickly objects accelerate.

|  | sv_aim (V)
| Syntax: sv_aim <value> Default: 0.93 Sets how much leniency there is in the vertical aim when shooting at a target. (0.0 gives the most leniency.)

|  | sv_friction (V)
| Syntax: sv_friction <value> Default: 4 Sets how much friction there is.

|  | sv_gravity (V)
| Syntax: sv_gravity <value> Default: 800 Sets how much gravity there is.

|  | sv_idealpitchscale (V)
| Syntax: sv_idealpitchscale <value> Default: 0.8 Sets how much a player's view changes when on steps or an incline.

|  | sv_maxspeed (V)
| Syntax: sv_maxspeed <value> Default: 320 Sets the maximum rate at which a player can move. See also: cl_backspeed, cl_forwardspeed, cl_movespeedkey

|  | sv_maxvelocity (V)
| Syntax: sv_maxvelocity <value> Default: 2000 Sets the maximum speed at which anything can move including ammunition.

|  | sv_nostep (T)
| Syntax: sv_nostep <0/1> Default: 0 Toggles if players automatically walk up steps or if they have to jump up them.

|  | sv_stopspeed (V)
| Syntax: sv_stopspeed <value> Default: 100 Sets how quickly objects stop moving.

|  | sys_ticrate (V)

Syntax: sys_ticrate <value>
Default: 0.05
From techinfo.txt:

    	Only used by dedicated servers. This determines the rate at
    	which the server will send out updates to the clients. The
    	default value is 0.05 (20 updates per second.) For servers
    	where bandwidth is limited, using modems or the internet for
    	example, it is advisable to lower this value to 0.1 (10
    	updates per second.)  This will have a very minor effect on
    	responsiveness, but will half the outbound bandwidth required
    	making the modem players a lot happier.

T | Back to Quake Index / Top Index

|  | teamplay (T)

Syntax: teamplay <value>
Default: 0
Toggles whether team mode is on during networked games. Set teamplay to 1 to turn this option on. Setting teamplay to 2 allows you to hurt yourself and your team, but if you kill someone on your team you lose a frag.
See also: coop, deathmatch

|  | tell (C)
| Syntax: tell <player> <string> Send a message to a single player. Very nice in large network games.

|  | temp1 (V)*
| Syntax: <0-5> Default: 0 For testing player deaths. 0 means random selection of player death, where 1 to 5 selects the corresponding player death.

|  | test (C)

Syntax: test <server>
Reports information about the players currently on the selected server.
Example output:

    	Player1
    	  frags:0  colors: 13 13  time: 284
    	  xxx.xxx.xxx.xxx: xxxx
    	Player2
    	  frags:5  colors: 4 3  time: 11
    	  xxx.xxx.xxx.xxx: xxxx
    	Player3
    	  frags:  13  colors: 3 11  time: 3
    	  xxx.xxx.xxx.xxx: xxxx

|  | test2 (C)

Syntax: test2 <server>
Reports information about the current conditions the selected server has.
Example output:

    	sv_maxspeed 320
    	sv_friction 4
    	sv_gravity  800
    	noexit      0
    	teamplay    0
    	timelimit   0
    	fraglimit   50

|  | timedemo (C)

Syntax: timedemo <demoname>
Gets demo speed and time.
Example output:

    	969 Frames 52.2 Seconds 18.6 FPS

|  | timelimit (V)
| Syntax: timelimit <value> Default: 0 Set a time to play the level before advancing to the next one. See also: fraglimit, noexit, samelevel

|  | timerefresh (C)

Syntax: timerefresh
Does a quick test to find out video refresh for your current location. It calculates this based on doing a 360 degree turn.
Example output:

    	3.675180 Seconds (34.828222 FPS)

|  | toggle_auxlook (T)
| Syntax: toggle_auxlook Toggles if auxlook is on or off. See also: auxlook

|  | toggleconsole (C)
| Syntax: toggleconsole Display or remove the console screen.

|  | togglemenu (C)
| Syntax: togglemenu Display the menu screens. See also: menu_main

U | Back to Quake Index / Top Index

|  | unbind (C)
| Syntax: unbind <key> Remove the current commands bound to a key. See also: unbindall, bind

|  | unbindall (C)
| Syntax: unbindall Remove every key binding. (Use with caution. Current key bindings are saved when you exit so if you unbindall then exit only the ESC key will work. Trust me I know!) See also: unbind, bind

V | Back to Quake Index / Top Index

|  | v_centermove (V)
| Syntax: v_centermove <value> Default: 0.15 Sets how far the player must move forward before the view recenters. A big help for those people that like to use the keyboard.

|  | v_centerspeed (V)
| Syntax: v_centerspeed <value> Default: 500 Sets how quickly you return to a center view after a lookup or lookdown. See also: centerview

|  | v_cshift (V)
| Syntax: v_cshift <red> <green> <blue> <intensity> This adjusts all of the colors currently being displayed. Used when you are underwater, hit, or have the Ring of Shadows. Values range from 0-256 for all four values.

|  | v_idlescale (T)
| Syntax: v_idlescale <0/1> Default: 0 Toggles whether the the view remains idle. (You can get some cool effects if you turn this on.) See also: v_ipitch_cycle, v_ipitch_level, v_iroll_cycle, v_iroll_level, v_iyaw_cycle, v_iyaw_level

|  | v_ipitch_cycle (V)
| Syntax: v_ipitch_cycle <value> Default: 1 Sets how quickly you lean forwards and backwards when v_idlescale is active. See also: v_idlescale, v_ipitch_level

|  | v_ipitch_level (V)
| Syntax: v_ipitch_level <value> Default: 0.3 Sets how far you lean forwards and backwards when v_idlescale is active. See also: v_idlescale, v_ipitch_cycle

|  | v_iroll_cycle (V)
| Syntax: v_iroll_cycle <value> Default: 0.5 Sets how quickly you tilt right and left when v_idlescale is active. See also: v_idlescale, v_iroll_level

|  | v_iroll_level (V)
| Syntax: v_iroll_level <value> Default: 0.1 Sets how far you tilt right and left when v_idlescale is active. See also: v_idlescale, v_iroll_cycle

|  | v_iyaw_cycle (V)
| Syntax: v_iyaw_cycle <value> Default: 2 Sets how quickly you look left and right when v_idlescale is active. See also: v_idlescale, v_iyaw_level

|  | v_iyaw_level (V)
| Syntax: v_iyaw_level <value> Default: 0.3 Sets how far you look left and right when v_idlescale is active. See also: v_idlescale, v_iyaw_cycle

|  | v_kickpitch (V)
| Syntax: v_kickpitch <value> Default: 0.6 Sets how much you look up when hit. See also: v_kickroll, v_kicktime

|  | v_kickroll (V)
| Syntax: v_kickroll <value> Default: 0.6 Sets how much you lean when hit. See also: v_kickpitch, v_kicktime

|  | v_kicktime (V)
| Syntax: v_kicktime <value> Default: 0.5 Sets how long the "kick" effects last. See also: v_kickpitch, v_kickroll

|  | version (C)

Syntax: version
Report version information.
Example output:

    	Version 1.01
    	Exe:  17: 38: 28 Jul 12 1996

|  | vid_describecurrentmode (C)
| Syntax: vid_describecurrentmode Report current video mode. See also: vid_describemode, vid_describemodes, vid_mode, vid_nummodes, vid_testmode, menu_video

|  | vid_describemode (C)
| Syntax: vid_describemode <mode> Report information on selected videomode. See also: vid_describecurrentmode, vid_describemodes, vid_mode, vid_nummodes, vid_testmode, menu_video

|  | vid_describemodes (C)

Syntax: vid_describemodes
Report information on all video modes.
Example output:

    	 ***** standard VGA modes *****
    	 0:  320x200
    	 ***** Mode X-style modes *****
    	 1:  320x200
    	 2:  360x200
    	 3:  320x240
    	 4:  360x240
    	 5:  320x350
    	 6:  360x350
    	 7:  320x400
    	 8:  360x400
    	 9:  320x480
    	10:  360x480

See also: vid_describecurrentmode, vid_describemode, vid_mode, vid_nummodes, vid_testmode, menu_video

|  | vid_mode (C)
| Syntax: vid_mode <mode> Sets the video mode. See also: vid_describecurrentmode, vid_describemode, vid_describemodes, vid_nummodes, vid_testmode, menu_video

|  | vid_nopageflip (T)

Syntax: vid_nopageflip <0/1>
Default: 0
Toggles whether page flipping is disabled. From techinfo.txt:

    	If a given VESA mode can support page flipping, then it
    	defaults to page- flipped operation.  A VESA mode can be
    	forced to non-page-flipped operation by setting the
    	vid_nopageflip console variable to 1, then setting the mode
    	(note that vid_nopageflip takes operation on the next, not the
    	current, mode set, and note that it then stays in effect
    	permanently, even when Quake is exited and restarted, unless
    	it is manually set back to 0.)

|  | vid_nummodes (C)
| Syntax: vid_nummodes Reports the total number of videomodes available. See also: vid_describecurrentmode, vid_describemode, vid_describemodes, vid_mode, vid_testmode, menu_video

|  | vid_testmode (C)
| Syntax: vid_testmode <mode> Switch to another videomode temporarily, to test it. See also: vid_describecurrentmode, vid_describemode, vid_describemodes, vid_mode, vid_nummodes, menu_video

|  | vid_wait (V)

Syntax: vid_wait <value>
Default: 0
From techinfo.txt:

    	sets the type of waiting that the video adapter should do, as follows:
    	0:  no waiting
    	1:  wait for vertical sync active
    	2:  wait for display enable active

|  | viewframe (X)
| Syntax: viewframe <number> View a particular frame in the current model. See also: viewmodel, viewnext, viewprev

|  | viewmodel (X)

Syntax: viewmodel <name>
Although mainly used internally by Quake, if you want to get an idea of what the models look like while playing Quake these are the steps needed. Once in Quake load up the map and you will be able to view what ever model you want now.
A big thank you to G-boy <peerbro@worldonline.nl> for the map and information.

Some models are
progs/player.mdl | progs/zombie.mdl
progs/ogre.mdl | progs/wizard.mdl
progs/demon.mdl | progs/hknight.mdl
progs/boss.mdl

Example output:

    	Create a map with these characteristics:
    	{
    	"classname" "viewthing"
    	"origin" "x y z"
    	}

See also: viewframe, viewnext, viewprev

|  | viewnext (X)
| Syntax: viewnext View the next frame in the current model. See also: viewframe, viewmodel, viewprev

|  | viewprev (X)
| Syntax: viewprev View the previous frame in the current model. See also: viewframe, viewmodel, viewnext

|  | viewsize (V)
| Syntax: viewsize <value> Default: 100 Set the screen size. See also: sizedown, sizeup

|  | volume (V)
| Syntax: volume <volume> Default: 1.0 Set the volume for sound playback. See also: play, playvol

W | Back to Quake Index / Top Index

|  | wait (C)
| Syntax: wait Wait a game tic.

## Windows Quake Console Commands

This section provides additional commands for Quake windows versions, like WinQuake, GLQuake and QuakeWorld.
In QuakeWorld, commands may be proceeded with a '/' character optionally. If you do not use the '/' to begin your commands, a mistyped command that QuakeWorld does not recognize will be echoed to everyone in the game like messagemode.
Some of these commands are available in DOS Quake 1.07 and higher, but maybe have no effect. Also DOS Quake maybe shows "Unknown command" warnings which can be ignored.

+/- _ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

_ | Back to Windows Quake Index / Top Index

|  | _snd_mixahead (V)(available in DOS Quake 1.07 and higher)
| Syntax: _snd_mixahead <value> Default: 0.1 Sets the time (in seconds) to mix the sound that much ahead. Should only be used with severe lag.

|  | _vid_default_mode_win (V)(available in DOS Quake 1.07 and higher)
| Syntax: _vid_default_mode_win <value> Default: 3 Just like the DOS Quake vid_default_mode you can set the default video mode for Windows versions. See also: _vid_default_mode, menu_video

|  | _windowed_mouse (T)(available in DOS Quake 1.07 and higher)
| Syntax: _windowed_mouse <0/1> Default: 0 Toggles windowed mouse mode. Helpful when playing WinQuake in a windowed mode.

B | Back to Windows Quake Index / Top Index

|  | block_switch (?)
| Syntax: block_switch Default: 0 Not documented yet.

C | Back to Windows Quake Index / Top Index

|  | cmdline (C)(available in DOS Quake 1.07 and higher)
| Syntax: cmdline Displays the command line/parameters with which quake was started.

G | Back to Windows Quake Index / Top Index

|  | gamecfg (?)(available in DOS Quake 1.07 and higher)
| Syntax: gamecfg Default: 0 Not documented yet.

L | Back to Windows Quake Index / Top Index

|  | lcd_x (?)(available in DOS Quake 1.07 and higher)
| Syntax: lcd_x Default: 0 Not documented yet.

|  | lcd_yaw (?)(available in DOS Quake 1.07 and higher)
| Syntax: lcd_yaw Default: 0 Not documented yet.

M | Back to Windows Quake Index / Top Index

|  | mcache (?)(available in DOS Quake 1.07 and higher)
| Syntax: mcache Not documented yet.

N | Back to Windows Quake Index / Top Index

|  | nomonsters (?)(available in DOS Quake 1.07 and higher)
| Syntax: nomonsters Default: 0 Not documented yet.

S | Back to Windows Quake Index / Top Index

|  | saved1 (?)(available in DOS Quake 1.07 and higher)
| Syntax: saved1 Default: 0 Not documented yet.

|  | saved2 (?)(available in DOS Quake 1.07 and higher)
| Syntax: saved2 Default: 0 Not documented yet.

|  | saved3 (?)(available in DOS Quake 1.07 and higher)
| Syntax: saved3 Default: 0 Not documented yet.

|  | saved4 (?)(available in DOS Quake 1.07 and higher)
| Syntax: saved4 Default: 0 Not documented yet.

|  | savedgamecfg (?)(available in DOS Quake 1.07 and higher)
| Syntax: savedgamecfg Default: 0 Not documented yet.

|  | scratch1 (?)(available in DOS Quake 1.07 and higher)
| Syntax: scratch1 Default: 0 Not documented yet.

|  | scratch2 (?)(available in DOS Quake 1.07 and higher)
| Syntax: scratch2 Default: 0 Not documented yet.

|  | scratch3 (?)(available in DOS Quake 1.07 and higher)
| Syntax: scratch3 Default: 0 Not documented yet.

|  | scratch4 (?)(available in DOS Quake 1.07 and higher)
| Syntax: scratch4 Default: 0 Not documented yet.

V | Back to Windows Quake Index / Top Index

|  | vid_config_x (V)(available in DOS Quake 1.07 and higher)
| Syntax: vid_config_x <value> Default: 800 Width of mode 2 window. See also: vid_config_y, vid_forcemode, vid_stretch_by_2

|  | vid_config_y (V)(available in DOS Quake 1.07 and higher)
| Syntax: vid_config_y <value> Default: 600 Height of mode 2 window. See also: vid_config_x, vid_forcemode, vid_stretch_by_2

|  | vid_forcemode (C)

Syntax: vid_forcemode <value>
Sets the specified mode, even if it's the same as the current mode.
From wqreadme.txt:

    	This is generally useful only if you've modified the characteristics of
    	video mode 2 (the configurable window) while you're in mode 2, and
    	want to force the new characteristics to take effect.

See also: vid_config_x, vid_config_y, vid_stretch_by_2

|  | vid_fullscreen (C)
| Syntax: vid_fullscreen Switches to the mode specified in vid_fullscreen_mode. See also: vid_fullscreen_mode, vid_windowed, vid_windowed_mode

|  | vid_fullscreen_mode (V)
| Syntax: vid_fullscreen_mode <value> Default: 3 Mode for vid_fullscreen. See also: vid_fullscreen, vid_windowed, vid_windowed_mode

|  | vid_minimize (C)

Syntax: vid_minimized
Minimizes the window only when in windowd mode.
From wqreadme.txt:

    	You can bind a key to the commands "vid_windowed; wait; vid_minimize"
    	to minimize WQ regardless of whether you're running in windowed or fullscreen mode.

|  | vid_stretch_by_2 (T)(available in DOS Quake 1.07 and higher)
| Syntax: vid_stretch_by_2 <0/1> Default: 1 Renders at half-resolution in each direction and stretch up to the specified size in mode 2, otherwise renders at full resolution (0). See also: vid_config_x, vid_config_y, vid_forcemode

|  | vid_window_x (V)
| Syntax: vid_window_x <value> Default: 0 X coordinate of the window position in windowed mode.

|  | vid_window_y (V)
| Syntax: vid_window_y <value> Default: 0 Y coordinate of the window position in windowed mode.

|  | vid_windowed (C)
| Syntax: vid_windowed Switches to the mode specified in vid_windowed_mode. See also: vid_fullscreen, vid_fullscreen_mode, vid_windowed_mode

|  | vid_windowed_mode (V)
| Syntax: vid_windowed_mode <value> Default: 0 Mode for vid_windowed. See also: vid_fullscreen, vid_fullscreen_mode, vid_windowed

## OpenGL Quake Console Commands

This section provides additional commands for OpenGL Quake versions, like GLQuake and GLQuakeWorld.
In QuakeWorld, commands may be proceeded with a '/' character optionally. If you do not use the '/' to begin your commands, a mistyped command that QuakeWorld does not recognize will be echoed to everyone in the game like messagemode.

+/- _ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

G | Back to OpenGL Quake Index / Top Index

|  | gl_affinemodels (?)*
| Syntax: gl_affinemodels <value> Not documented yet.

|  | gl_cull (T)*
| Syntax: gl_cull <0/1> Default: 1 ADVANCED OPTION: Toggles backface culling on model files. Thanks to Charles "Psykotik" Pence for the info.

|  | gl_finish (T)

Syntax: gl_finish <0/1>
Default: 1
ADVANCED OPTION: Toggles GLQuake's issue of a glFinish() call after each frame.
0 - Do not issue a glFinish() call after each frame, this may optimize speed for non 3Dfx based systems.
1 - Issue a glFinish() call after each frame.

|  | gl_flashblend (T)

Syntax: gl_flashblend <0/1>
Default: 1
Toggles how GLQuake handles dynamic lighting.
0 - Makes dynamic lights look as they do in software Quake, and is slightly slower.
1 - Use the new dynamic light drawing technique.

|  | gl_keeptjunctions (T)

Syntax: gl_keeptjunctions <0/1>
Default: 1
ADVANCED OPTION: Toggles if t-junctions are kept.
0 - Does not save t-juncts, will speed up the game, but will leave a few artifact pixels.
1 - Save t-juncts.

|  | gl_nobind (?)*
| Syntax: gl_nobind <value> Not documented yet.

|  | gl_picmip (T)

Syntax: gl_picmip <0-4>
Default: 0
ADVANCED OPTION: This option controls the texture detail of the map, each value greater than 0 cuts the size of textures used in the map by half. This helps reduce memory requirements resulting in smoother frame rate in complex scenes. The down side is this will make things a bit more blurry.

|  | gl_playermip (T)

Syntax: gl_playermip <0-4>
Default: 0
ADVANCED OPTION: This option controls the texture detail of models in the game, each value greater than 0 cuts the size of textures used in the map by half. This helps reduce memory requirements resulting in smoother frame rate in complex scenes. The down side is this will make things a bit more blurry.

|  | gl_polyblend (T)

Syntax: gl_polyblend <0/1>
Default: 1
Toggles the effects (palette shifting) from getting hit, quad, pentagram of protection, and under water clarity.
0 - Poly blending is disabled.
1 - Poly blending is enabled.

|  | gl_reportjunctions (?)*
| Syntax: gl_reportjunctions <value> Not documented yet.

|  | gl_rounddown (T)

Syntax: gl_rounddown <0/1>
Default: 1
ADVANCED OPTION: Toggles how GLQuake handles textures whose dimensions are not a power of 2.
0 - The texture will be scaled up to the next power of 2 size.
1 - The texture will be scaled down to the next power of 2 size.

|  | gl_sgis_multitexture (T)*

Syntax: gl_sgis_multitexture <0/1>
Default: detected by GLQuake
Multitextures support allows certain hardware to render the world in onepass instead of two. On hardware that supports this, you will get a 60% to 100% increase in frame rate. This extension will be autodetected and used.
If for some reason it is not working correctly, specify the command line option "-nomtex" to disable it.

|  | gl_smoothmodels (?)*
| Syntax: gl_smoothmodels <value> Not documented yet.

|  | gl_subdivide_size (C)*
| Syntax: gl_subdivide_size <value> Default: 128 Defines the size of the pieces in which skies are divided/split. Higher values being better for smoothness, albeit with a tradeoff in distortion of the sky up close.

|  | gl_texturemode (T)*
| Syntax: gl_texturemode [GL_NEAREST | GL_NEAREST_MIPMAP_NEAREST | GL_LINEAR | GL_LINEAR_MIPMAP_NEAREST | GL_LINEAR_MIPMAP_LINEAR] Default: GL_LINEAR_MIPMAP_NEAREST ADVANCED OPTION: Sets the texture mapping mode.

|  | gl_triplebuffer (T)*
| Syntax: gl_triplebuffer <0/1> Default: 0 Enables TripleBuffering. Set this to 1 on a Voodoo Rush card.

|  | gl_ztrick (T)

Syntax: gl_ztrick <0/1>
Default: 1
ADVANCED OPTION: Toggles if GLQuake clears the Z-buffer after each frame. If the status bar or console flashes, set the variable to 0.
0 - GL Quake does not clear the Z-buffer.
1 - GL Quake does clear the Z-buffer.

R | Back to OpenGL Quake Index / Top Index

|  | r_lightmap (T)*
| Syntax: r_lightmap <0/1> Default: 0 Enabled shows the lightmap without textures, textures only displayed on entities.

|  | r_mirroralpha (C)
| Syntax: r_mirroralpha <0-1> Default: 1 Causes a stained glass texture (like the window at the 'easy' hall in the start map) to reflect when set to a decimal value less than 1.

|  | r_novis (T)
| Syntax: r_novis <0/1> Default: 0 Toggles if GLQuake use visible information list, the drawback is massive engine slow down associated with the r_novis 1 option. See also: r_wateralpha

|  | r_shadows (T)

Syntax: r_shadows <0/1>
Default: 0
Toggles if GLQuake displays shadows.
0 - GLQuake does not display shadows.
1 - GLQuake does display shadows.

|  | r_wateralpha (C)
| Syntax: r_wateralpha <0-1> Default: 1 Allows for semi-transparent water when set to a decimal value greater than 0. See also: r_novis

## VQuake Console Commands

This section provides additional commands for VQuake.

+/- _ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

D | Back to VQuake Index / Top Index

|  | d_bilerp (T)*
| Syntax: d_bilerp <0/1> Default: 1 Setting to 0 turns off texture bilinear filtering.

|  | d_mipcap (V)*
| Syntax: d_mipcap <value> Default: 0 Increasing it (to 1, 2, or 3) reduces texture detail for all objects.

|  | d_mipscale (V)*
| Syntax: d_mipscale <value> Default: 1.0 Increasing it reduces texture detail for more distant objects.

|  | d_dither (T)*
| Syntax: d_dither <0/1> Default: 1 Setting to 0 turns off dithering.

|  | d_wamp (V)*
| Syntax: d_wamp <value> Default: 7.0 Controls amplitude of water warping.

|  | d_wfreq (V)*
| Syntax: d_wfreq <value> Default: 12.0 Controls frequency of water warping.

R | Back to VQuake Index / Top Index

|  | r_antialias (V)*
| Syntax: r_antialias <0-7> Default: 0 Use "r_antialias 7" to antialias just about everything, including particles.

|  | r_surfacelookup (T)* (available in VQuake 1.08 Beta 1 and higher)

Syntax: r_surfacelookup <0/1>
Default: 1
Disabling r_surfacelookup will make the CPU perform the 8 to 16 bit conversion step for texture maps instead of the Verité. On faster CPUs this can increase performance. Results also depend on what resolution you choose.

a Quake Info Pool page
© 1997-2022 by Maddes